    

    // const glob = require('glob')
    // const webpack = require('webpack')
    // const path = require('path')
    // const fileNames = ( function (obj = {}) {
    //   glob.sync('app/*.js').forEach(v => {
    //     let key = v.match(/([^/]+)\.js/img)
    //     obj[RegExp.$1] = `./${v}`
    //   })
    //   return obj
    // } )()

    // module.exports = {
    //   // context: 如果不通过path.resolve 配置入口访问路径 watch: true失效
    //   context: path.resolve('./'),

    //   entry: Object.assign(fileNames, {vendor: ['jquery']}),

    //   output: {
    //     // filename: 编译的文件名 仅用于命名每个文件
    //     // [name]: 多入口形式 入口文件名替换这里的name 
    //     // [chunkhash: num]: 入口文件的hash值 用于修改后清空缓存
    //     // filename: '[name].[chunkhash:3].js',
    //     filename: 'js/[name].js',
    //     // 包存放的目录
    //     path: path.join(__dirname, 'dist'),
    //     publicPath: 'http://localhost/',
    //     library: '[name]_library'
    //   },

    //   module: {
    //     rules: [
    //       {
    //         test: /\.jsx?$/,
    //         loader: 'babel-loader',
    //         // exclude: babel 不打包哪些JS文件 加快打包速度
    //         exclude: /node_modules/,
    //         options: {
    //           presets: ['es2015']
    //         }
    //       }
    //     ]
    //   },

    //   plugins: [
    //     new webpack.DllPlugin({
    //       path: path.join(__dirname, 'dist', '[name]-manifest.json'),
    //       name: '[name]_library'
    //     })
    //   ],
      
    //   watch: true
    // }


    // const webpack = require('webpack');

    // const vendors = [
    //   'jquery',
    //   'react'
    // ];

    // module.exports = {
    //   output: {
    //     path: path.join(__dirname, 'build'),
    //     filename: '[name].[chunkhash].js'
    //     // library: '[name]_[chunkhash]',
    //   },
    //   entry: {
    //     vendor: vendors
    //   },
    //   plugins: [
    //     new webpack.DllPlugin({
    //       path: 'manifest.json',
    //       name: '[name]_[chunkhash]',
    //       context: __dirname,
    //     })
    //   ],
    // }

    const path = require('path')
    const webpack = require('webpack');

    module.exports = {
      context: path.resolve('./'),

      entry: {
        app: './app/index.js',
      },

      output: {
        path: path.join(__dirname, 'build'),
        filename: '[name].[chunkhash].js',
      },
      
      plugins: [
        // DllReferencePlugin 配合 DllPlugin 打包好的 Dll使用
        // 这里只需要引用 DllPlugin 生成好的 .json文件就可以了
        new webpack.DllReferencePlugin({
          // 这里用其他名字报错 manifest可以 不知道为什么 暂时就用 manifest
          manifest: require('./dll/manifest.json'),
        }),
      ],

      watch: true
    }
         
